DECLARE
    object_exists EXCEPTION;
    pragma exception_init(object_exists, -00955);
BEGIN
    EXECUTE IMMEDIATE 'CREATE TABLE CONFIGURACION_PRODUCTO_PARADA (
        CONFIGURACION_PRODUCTO_PARADA_ID NUMBER(7,0) NOT NULL,
        CONFIGURACIONPRODUCTO_ID NUMBER(7,0) NOT NULL,
        PARADA_ID NUMBER(7,0) NOT NULL,
        USUARIO_ID NUMBER(7,0) NOT NULL,
        FECMODIF DATE NOT NULL,
        ACTIVO NUMBER(1,0) NOT NULL,
        CONSTRAINT CONFIGURACION_PRODUCTO_PARADA_PK PRIMARY KEY (CONFIGURACION_PRODUCTO_PARADA_ID),
        CONSTRAINT CONFIGURACION_PRODUCTO_PARADA_CONFIGURACION_PRODUCTO_FK FOREIGN KEY (CONFIGURACIONPRODUCTO_ID) REFERENCES CONFIGURACION_PRODUCTO(CONFIGURACIONPRODUCTO_ID),
        CONSTRAINT CONFIGURACION_PRODUCTO_PARADA_PARADA_FK FOREIGN KEY (PARADA_ID) REFERENCES PARADA(PARADA_ID),
        CONSTRAINT CONFIGURACION_PRODUCTO_PARADA_USUARIO_FK FOREIGN KEY (USUARIO_ID) REFERENCES USUARIO(USUARIO_ID)
    )';
EXCEPTION 
    WHEN object_exists THEN NULL;
END;
/

DECLARE
    object_exists EXCEPTION;
    pragma exception_init(object_exists, -00955);
BEGIN
    EXECUTE IMMEDIATE 'CREATE SEQUENCE CONFIG_PRODUCTO_PARADA_SEQ INCREMENT BY 1 MINVALUE 0 NOCYCLE NOCACHE NOORDER'; 
EXCEPTION 
    WHEN object_exists THEN NULL;
END;